﻿<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,Log4net"/>
  </configSections>
  <connectionStrings>
      <add name="DMS_R3_PNGAF_PRODConnectionString" connectionString="Data Source=172.16.48.34;Initial Catalog=DMS-R3-PNGAF-PROD;User ID=sa;Password=Aware@2019"
          providerName="System.Data.SqlClient" />
  </connectionStrings>
  <log4net>
    <appender name="LogFileAppender" type="log4net.Appender.RollingFileAppender">
      <!--<file value="D:\Project Aware\DMS-OTR-Mobile\Log\Log_DMS_OTR_Mobile.log"/>-->
      <!--<file value="C:\Web_Log\DMS_OTR\Log_DMS_OTR_Mobile.log"/>-->
      <file value="C:\DMS_OTR_Log\DMSLog.log"/>
      <appendToFile value="true"/>
      <rollingStyle value="Composite"/>
      <datePattern value="yyyyMMdd"/>
      <maxSizeRollBackups value="10"/>
      <maximumFileSize value="5MB"/>
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%date  %5level %logger - %message%newline"/>
      </layout>
    </appender>
    <root>
      <level value="DEBUG"/>
      <appender-ref ref="LogFileAppender"/>
    </root>
  </log4net>
  <appSettings>
    <add key="log4net.Internal.Debug" value="true"/>
    <add key="aspnet:UseTaskFriendlySynchronizationContext" value="true"/>
    <add key="HashKey" value="!8i87_I37*#NIPNs0_bH$Nh5hx0h*BZt65%N33DufZ*W$tq4$sRrsVq*8S!4wyX0!P2u_6O79Di#"/>
    <add key="UseHashing" value="1"/>
    <add key="Debug" value="0"/>
    <!--0=RowMessage is null, 1=RowMessage is parameter of request-->
    <add key="Passwordis" value="0"/>
    <!--0=Clear text, 1=MD5 hashed-->
    <add key="Rawmessage-format" value="{0}={1};"/>
    <!--phoneno=12345678;-->
    <add key="LogPath" value="C:\DMS_OTR_Log\DMSLogEvent{0}.log"/>
    <add key="LogName" value=""/>
    <add key="LogPatternLayout" value="%date %level %logger: %message%newline"/>
    <add key="LogMaximumFileSize" value="100MB"/>
  </appSettings>
  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.7.2" />
      </system.Web>
  -->
  <system.web>
    <compilation debug="true" targetFramework="4.7.2">
      <assemblies>
        <add assembly="System.Data.Linq, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Web.Routing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      </assemblies>
    </compilation>
  </system.web>
  <system.serviceModel>
    <bindings>
      <webHttpBinding>
        <binding name="RESTBINDING" crossDomainScriptAccessEnabled="true"/>
      </webHttpBinding>
    </bindings>
    <client/>
    <services>
      <service name="DMSOTRService.Service">
        <endpoint behaviorConfiguration="DMSOTRServiceBehavior" binding="webHttpBinding" bindingConfiguration="RESTBINDING" name="REST" contract="DMSOTRService.IService"/>
      </service>
    </services>
    <behaviors>
      <endpointBehaviors>
        <behavior name="DMSOTRServiceBehavior">
          <webHttp automaticFormatSelectionEnabled="true" defaultOutgoingResponseFormat="Json" helpEnabled="true"/>
        </behavior>
      </endpointBehaviors>
      <serviceBehaviors>
        <behavior name="DMSOTRServiceBehavior">
          <!-- To avoid disclosing metadata information, set the value below to false before deployment -->
          <serviceMetadata httpGetEnabled="true"/>
          <!-- To receive exception details in faults for debugging purposes, set the value below to true.  Set to false before deployment to avoid disclosing exception information -->
          <serviceDebug includeExceptionDetailInFaults="false"/>
        </behavior>
      </serviceBehaviors>
    </behaviors>
    <!--<protocolMapping>
        <add binding="basicHttpsBinding" scheme="http" />
    </protocolMapping> -->
    <standardEndpoints>
      <webHttpEndpoint>
        <standardEndpoint name="" helpEnabled="true" automaticFormatSelectionEnabled="true"/>
      </webHttpEndpoint>
    </standardEndpoints>
    <serviceHostingEnvironment multipleSiteBindingsEnabled="true" aspNetCompatibilityEnabled="true"/>
  </system.serviceModel>
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false"/>
    <modules runAllManagedModulesForAllRequests="true"/>
    <!--
        To browse web app root directory during debugging, set the value below to true.
        Set to false before deployment to avoid disclosing web app folder information.
      -->
    <directoryBrowse enabled="true"/>
  </system.webServer>
</configuration>